<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionSetAlarmClock.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d20/_action_set_alarm_clock_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionSetAlarmClock.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d20/_action_set_alarm_clock_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/df5/class_action_set_alarm_clock_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/df5/class_action_set_alarm_clock_c_b.html">ActionSetAlarmClockCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a255e44ab62a0909330c106aa378f3966">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a255e44ab62a0909330c106aa378f3966">TIME_TO_COMPLETE</a> = 24.0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a767bda62abcf1ea015c7632a81887676">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a767bda62abcf1ea015c7632a81887676">CreateActionComponent</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a>(<a class="code hl_variable" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a255e44ab62a0909330c106aa378f3966">TIME_TO_COMPLETE</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> alarm = <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_class" href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a>).<a class="code hl_function" href="../../dc/dec/class_c_a_continuous_repeat.html#ad2ebe574aaf3118f4eedbc9ea6bedc22">SetProgress</a>(alarm.GetAnimationPhase(<span class="stringliteral">&quot;ClockAlarm&quot;</span>) * <a class="code hl_variable" href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a255e44ab62a0909330c106aa378f3966">TIME_TO_COMPLETE</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>};</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d6f/class_action_set_alarm_clock.html">ActionSetAlarmClock</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#acc0bf6b411d1b0cbab16902c63db88c4">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#acc0bf6b411d1b0cbab16902c63db88c4">ActionSetAlarmClock</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_SET_ALARM;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_SET_ALARM;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = 0;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d3/df5/class_action_set_alarm_clock_c_b.html">ActionSetAlarmClockCB</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#STR_SetAlarm0&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#af88fc649513e4da7014dfa3044191cf4">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#af88fc649513e4da7014dfa3044191cf4">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#aa7044eade36ef7cde13b32875563c6c1">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#aa7044eade36ef7cde13b32875563c6c1">HasProneException</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#aba5024fa76c93f83d0eec8451caccbb5">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#aba5024fa76c93f83d0eec8451caccbb5">HasTarget</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }   </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#a66b10b314ccfb8341f8199deb2a915ef">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#a66b10b314ccfb8341f8199deb2a915ef">OnStart</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#afe25d81d53b2750f7992ee6d5887d8ed">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#afe25d81d53b2750f7992ee6d5887d8ed">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#adc7f3f9835fbe5b0502374ad97e109f8">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#adc7f3f9835fbe5b0502374ad97e109f8">OnEndServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">float</span> progress = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">GetActionComponentProgress</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> clock = <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        clock.SetAlarmTimeServer(progress);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../da/d6f/class_action_set_alarm_clock.html#a8de2dd1f3f7d6a03778d64b4c710bd10">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d6f/class_action_set_alarm_clock.html#a8de2dd1f3f7d6a03778d64b4c710bd10">OnUpdate</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordtype">float</span> progress = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">GetActionComponentProgress</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> alarm = <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        alarm.SetAnimationPhaseNow(<span class="stringliteral">&quot;ClockAlarm&quot;</span>, progress);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a96e00aaa938e0cf04fec36ad2effe55b"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">ActionBaseCB::GetActionComponentProgress</a></div><div class="ttdeci">float GetActionComponentProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00101">AnimatedActionBase.c:101</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_c_b_html"><div class="ttname"><a href="../../d3/df5/class_action_set_alarm_clock_c_b.html">ActionSetAlarmClockCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00001">ActionSetAlarmClock.c:2</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_c_b_html_a255e44ab62a0909330c106aa378f3966"><div class="ttname"><a href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a255e44ab62a0909330c106aa378f3966">ActionSetAlarmClockCB::TIME_TO_COMPLETE</a></div><div class="ttdeci">const float TIME_TO_COMPLETE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00003">ActionSetAlarmClock.c:3</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_c_b_html_a767bda62abcf1ea015c7632a81887676"><div class="ttname"><a href="../../d3/df5/class_action_set_alarm_clock_c_b.html#a767bda62abcf1ea015c7632a81887676">ActionSetAlarmClockCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00005">ActionSetAlarmClock.c:5</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html">ActionSetAlarmClock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00013">ActionSetAlarmClock.c:14</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_a66b10b314ccfb8341f8199deb2a915ef"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#a66b10b314ccfb8341f8199deb2a915ef">ActionSetAlarmClock::OnStart</a></div><div class="ttdeci">override void OnStart(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00041">ActionSetAlarmClock.c:41</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_a8de2dd1f3f7d6a03778d64b4c710bd10"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#a8de2dd1f3f7d6a03778d64b4c710bd10">ActionSetAlarmClock::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00057">ActionSetAlarmClock.c:57</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_aa7044eade36ef7cde13b32875563c6c1"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#aa7044eade36ef7cde13b32875563c6c1">ActionSetAlarmClock::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00031">ActionSetAlarmClock.c:31</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_aba5024fa76c93f83d0eec8451caccbb5"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#aba5024fa76c93f83d0eec8451caccbb5">ActionSetAlarmClock::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00036">ActionSetAlarmClock.c:36</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_acc0bf6b411d1b0cbab16902c63db88c4"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#acc0bf6b411d1b0cbab16902c63db88c4">ActionSetAlarmClock::ActionSetAlarmClock</a></div><div class="ttdeci">void ActionSetAlarmClock()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00015">ActionSetAlarmClock.c:15</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_adc7f3f9835fbe5b0502374ad97e109f8"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#adc7f3f9835fbe5b0502374ad97e109f8">ActionSetAlarmClock::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00050">ActionSetAlarmClock.c:50</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_af88fc649513e4da7014dfa3044191cf4"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#af88fc649513e4da7014dfa3044191cf4">ActionSetAlarmClock::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00025">ActionSetAlarmClock.c:25</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html_afe25d81d53b2750f7992ee6d5887d8ed"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html#afe25d81d53b2750f7992ee6d5887d8ed">ActionSetAlarmClock::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00045">ActionSetAlarmClock.c:45</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00001">AlarmClock.c:2</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_repeat_html"><div class="ttname"><a href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_c_a_continuous_repeat_8c_source.html#l00001">CAContinuousRepeat.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_repeat_html_ad2ebe574aaf3118f4eedbc9ea6bedc22"><div class="ttname"><a href="../../dc/dec/class_c_a_continuous_repeat.html#ad2ebe574aaf3118f4eedbc9ea6bedc22">CAContinuousRepeat::SetProgress</a></div><div class="ttdeci">void SetProgress(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_c_a_continuous_repeat_8c_source.html#l00068">CAContinuousRepeat.c:68</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_self_html"><div class="ttname"><a href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d58/_c_c_t_self_8c_source.html#l00001">CCTSelf.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dc/d20/_action_set_alarm_clock_8c.html">ActionSetAlarmClock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
